Bug 1130538 (CVE-2012-6655)

Summary: CVE-2012-6655 accountsservice: local encrypted password disclosure when changing password
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED WONTFIX QA Contact:
Severity: low Docs Contact:
Priority: low    
Version: unspecifiedCC: carnil, mclasen, rstrode
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-08-22 15:06:03 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1130543    
Bug Blocks: 864524    

Description Vincent Danen 2014-08-15 13:41:59 UTC
It was reported [1] that accountsservice invokes usermod with the -p parameter when calling SetPassword(), which can leak encrypted passwords locally (being that they are briefly visible via ps).

As noted in the upstream bug:

The relevant code is in src/user.c in the user_change_password_authorized_cb() function:

        argv[0] = "/usr/sbin/usermod";
        argv[1] = "-p";
        argv[2] = strings[0];
        argv[3] = "--";
        argv[4] = user->user_name;
        argv[5] = NULL;

strings[0] has been set to the crypted password in user_set_password(). The crypted password has been passed from the client (ie: gnome-control-center).

This has not yet been corrected upstream.


[1] https://bugs.freedesktop.org/show_bug.cgi?id=55000

Comment 1 Vincent Danen 2014-08-15 13:46:57 UTC
Created accountsservice tracking bugs for this issue:

Affects: fedora-all [bug 1130543]

Comment 2 Vincent Danen 2014-08-16 17:41:24 UTC
This was assigned CVE-2012-6655:

http://openwall.com/lists/oss-security/2014/08/16/7